import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

/**
 * @author Prof. Henrique Louro
 */
public class Palito {

    public static void main(String[] args) throws IOException {

        String linha = "";

        BufferedReader entrada;

        entrada = new BufferedReader(new InputStreamReader(System.in));
        int jilo = 0;
        int ferrugem = 0;
        String temp[];
        int jm, fm, ja, fa;

        while ((linha = entrada.readLine()) != null) {

            if (linha.equals("0")) {
                break;
            }

            int jogadas = Integer.parseInt(linha);

            jilo = 0;
            ferrugem = 0;

            for (int x = 0; x < jogadas; x++) {
                linha = entrada.readLine();
                temp = linha.split(" ");
                if (temp[0].equals("lona")) {
                    jm = 0;
                } else {
                    jm = temp[0].length();
                }

                if (temp[1].equals("lona")) {
                    fm = 0;
                } else {
                    fm = temp[1].length();
                }

                if (temp[2].equals("lona")) {
                    ja = 0;
                } else {
                    ja = Integer.parseInt(temp[2]);
                }

                if (temp[3].equals("lona")) {
                    fa = 0;
                } else {
                    fa = Integer.parseInt(temp[3]);
                }
                
                if(ja==jm+fm){
                    jilo++;
                }
                
                if(fa==jm+fm){
                    ferrugem++;
                }
            }
            
            if(jilo>ferrugem){
                System.out.println("Jilo");
            }else if(ferrugem > jilo){
                System.out.println("Ferrugem");
            }else{
                System.out.println("Empate");
            }

        }
        System.exit(0);
    }
}
